Subject: Re: linux-next: build failure after merge of the regulator tree

From: Mark Brown <[email-masked]>
Date: Thu, 9 Apr 2015 10:35:56 +0100

On Thu, Apr 09, 2015 at 02:33:09PM +1000, Stephen Rothwell wrote:

> After merging the regulator tree, today's linux-next build (arm multi_v7_defconfig)
> failed like this:

> drivers/gpu/drm/msm/dsi/dsi_host.c: In function 'dsi_host_regulator_disable':
> drivers/gpu/drm/msm/dsi/dsi_host.c:330:4: error: implicit declaration of function 'regulator_set_optimum_mode' [-Werror=implicit-function-declaration]
>     regulator_set_optimum_mode(s[i].consumer,
>     ^

> Caused by commit a689554ba6ed ("drm/msm: Initial add DSI connector
> support") from the drm tree interacting with commit ae6e808f1574
> ("regulator: Drop temporary regulator_set_optimum_mode wrapper") from
> the regulator tree.

> This happens every time someone renames/changes an API :-(

It's *really* questionable if anyone should be using that API in the
first place, one of the reasons it's being removed is that it's really
unclear that anything would be able to successfully use it as-is.  The
easist thing might be to drop the new usage for the time being.